Subject: Re: [RTG-DIR] Rtgdir early review of draft-ietf-pce-pcep-yang-20

From: Dhruv Dhody <[email-masked]>
Date: Mon, 6 Mar 2023 23:30:11 +0530

Hi Gyan,

Thanks for your review!

On Sat, Dec 17, 2022 at 10:53 PM Gyan Mishra via Datatracker <
[email-masked]> wrote:

> Reviewer: Gyan Mishra
> Review result: Not Ready
>
> This draft provides the Yang model for PCEP.
>
> The Yang model should include all PCEP related extensions and which from
> reading the draft I see missing some major components that should be
> included
> detailed in this review.
>
>
IMHO (with no other hats but that of a WG participant/author), it is very
difficult to include everything in the base YANG model while the protocol
is constantly being extended. It is okay to get consensus on the base and
get it published first. The YANG allows easy augmentation for future
protocol extension.

Note that we already have a draft related to SRv6 (and SR Policy) -
https://www.ietf.org/archive/id/draft-ietf-pce-pcep-srv6-yang-01.html
adopted in the WG which augments the base YANG model.

That said I have gone through the below list and added comments
further....

> Minor issues:
>
> Normative and / or Informative References to the following drafts should be
> included as well as I see are missing in the PCEP Yang model itself:
>
> H-PCE
>
> https://datatracker.ietf.org/doc/html/rfc8751
>
>
This was straightforward and thus added to the model now!

> SR related content missing from Yang model
>
>
Look for feature "sr" and you will find a lot of nodes related to SR and as
I mentioned SRv6 and SR-Policy is kept in a different draft. This also
allows us to progress the base PCEP YANG with a further dependency on
SPRING YANG documents which are not yet mature!

> PCEP Centralized Controller
>
> https://datatracker.ietf.org/doc/html/rfc9050
>
>
It is better to have a seperate YANG I-D for PCECC, I was thinking about
creating one for all PCECC extensions together.

> SR PCE Extension
>
> https://datatracker.ietf.org/doc/html/rfc8664
>
>
See above points!

> SR EPE
>
> https://datatracker.ietf.org/doc/html/rfc9086
>
>
See above and moreover I don't see any PCEP YANG attributes for a BGP-LS
extension!

> SR EXT
>
> https://datatracker.ietf.org/doc/html/rfc9085
>
>
Same!

> SRv6 PCE extension
>
> https://datatracker.ietf.org/doc/draft-ietf-pce-segment-routing-ipv6/
>
>
Refer draft-ietf-pce-pcep-srv6-yang-01

> SRv6 PGM
>
> https://datatracker.ietf.org/doc/html/rfc8986
>
>
Refer draft-ietf-pce-pcep-srv6-yang-01

> SRv6 SRH
>
> https://datatracker.ietf.org/doc/html/rfc8754
>
>
Refer draft-ietf-pce-pcep-srv6-yang-01

> SRv6 Compression
>
>
> https://datatracker.ietf.org/doc/html/draft-filsfilscheng-spring-srv6-srh-compression-02

Refer draft-ietf-pce-pcep-srv6-yang-01

>
>
> Transport Network Modernization related GMPLS / MPLS-TP
>
> PCEP extension for GMPLS
>
> https://www.rfc-editor.org/rfc/rfc8282.html
>
>
This has been added now!

> https://datatracker.ietf.org/doc/rfc8779/
>
>
This is already there!

> RSVP TE extension for Co routed LSP ( Enhanced RSVP-TE) Allows operators
> to use
> converged network to support both unidirectional LSP and co-routed on same
> MPLS
> data plane without changing the MPLS data plane as is with MPLS-TP.
>
> https://www.rfc-editor.org/rfc/rfc7551.html
>
> https://datatracker.ietf.org/doc/html/rfc9059
>
>
These are handled via association already! There is no need for any other
nodes.

> MPLS-TP Co routed path
>
> https://datatracker.ietf.org/doc/html/rfc6373
>
>
What exact change do you want to see in the YANG model for this?

> PCEP stateful coloring extension
>
> https://datatracker.ietf.org/doc/html/draft-rajagopalan-pce-pcep-color
>
>
>
Left for the future! BTW not sure what change in the YANG model needs to be
done for this -- note we don't store the constraints (objects / TLVs) in
the YANG model.

Please see the new update for the I-D posted -
https://datatracker.ietf.org/doc/draft-ietf-pce-pcep-yang/
and diff at -
https://author-tools.ietf.org/iddiff?url2=draft-ietf-pce-pcep-yang-21

Please consider updating the review status if you agree with my comments.
Otherwise please help provide the exact change you would like to see!

Thanks!
Dhruv